import MercuryDataSource from "./db/index.js";
import { createAccount } from "./db/account.js";
import { createLocalBlog } from "./db/blog.js";
import log from "./log.js";

// This just creates a single local user (that can't log in) called "testington", and one blog called "testington".
// This is not usable for anything more than testing a handful of endpoints, TODO: expand this
async function seed() {
  await MercuryDataSource.initialize();

  const account = await createAccount("testington", null, null);
  const blog = await createLocalBlog(account, "testington");

  log.info("Created account %s with blog %s", account.id, blog.id);
}

seed();
